
add.zeroes.cma.data <- function(cma.data,gene.sizes,coverage) {

  ColMut <- grep("Mutations",colnames(cma.data))
  ColCov1 <- grep("Coverage",colnames(cma.data))
  ColCov2 <- grep("Coverage",colnames(coverage))
  ColGeneSize <- grep("GeneSizes",colnames(cma.data))
  
  zeroes <- ! ( rownames(gene.sizes) %in% rownames(cma.data) )
  nm <- nrow(cma.data)
  nn <- sum(zeroes)
  cma.data[(nm+1):(nm+nn),ColMut] <- matrix(0,nn,50)
  rownames( cma.data )[(nm+1):(nm+nn)] <- rownames( gene.sizes )[zeroes]
  cma.data[(nm+1):(nm+nn),ColGeneSize] <- gene.sizes[zeroes,]
  cma.data[(nm+1):(nm+nn),"NumberTumorsAnalyzedDiscovery"] <- rep(11,nn)
  cma.data[(nm+1):(nm+nn),"NumberTumorsAnalyzedValidation"] <- rep(0,nn)
  cma.data[(nm+1):(nm+nn),ColCov1] <- coverage[zeroes,ColCov2] 

  return(cma.data)
}
